#cssmenu, #cssmenu ul, #cssmenu ul li, #cssmenu ul li a, #cssmenu #menu-button {
    margin: 0;
    padding: 0;
    border: 0;
    list-style: none;
    line-height: 1;
    position: relative;
    box-sizing: border-box;
}

    #cssmenu:after, #cssmenu > ul:after {
        content: ".";
        display: block;
        clear: both;
        visibility: hidden;
        line-height: 0;
        height: 0;
    }

    #cssmenu #menu-button {
        display: none;
    }

#cssmenu {
    display: block;
    width: auto;
    line-height: 1;
}

    #cssmenu ul {
        display: block;
        margin: 0 0 0 25px;
        text-align: justify;
    }

    #cssmenu > ul:after {
        content: '';
        display: inline-block;
        width: 100%;
    }

    #cssmenu li {
        margin: 0;
        display: inline-block;
    }

    #cssmenu > ul > li > a {
        font-family: 'Montserrat', sans-serif;
        font-size: 0.9375rem;
        font-weight: 700;
        line-height: 16px;
        text-transform: uppercase;
        color: #fff;
        padding: 10px 10px 9px;
        margin: 0;
        box-sizing: border-box;
        -webkit-transform: perspective(1px) translateZ(0);
        transform: perspective(1px) translateZ(0);
        -webkit-transition-property: color;
        transition-property: color;
        -webkit-transition-duration: 0.2s;
        transition-duration: 0.2s;
    }

        #cssmenu > ul > li > a::before {
            content: "";
            position: absolute;
            z-index: -1;
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            background: #ad2129;
            -webkit-transform: scaleY(0);
            transform: scaleY(0);
            -webkit-transform-origin: 0 100%;
            transform-origin: 0 100%;
            -webkit-transition-property: transform;
            transition-property: transform;
            -webkit-transition-duration: 0.2s;
            transition-duration: 0.2s;
            -webkit-transition-timing-function: cubic-bezier(0.86, 0, 0.07, 1);
            transition-timing-function: cubic-bezier(0.86, 0, 0.07, 1);
        }

        /*#cssmenu > ul > li > a:hover, #cssmenu > ul > li > a:focus, #cssmenu > ul > li.active > a, #cssmenu > ul > li:hover > a {
            color: #ad2129;
        }*/

            #cssmenu > ul > li > a:hover:before, #cssmenu > ul > li > a:focus:before, #cssmenu > ul > li.active > a:before, #cssmenu > ul > li:hover > a:before {
                -webkit-transform: scaleY(1);
                transform: scaleY(1);
                -webkit-transition-timing-function: cubic-bezier(0.860, 0.000, 0.070, 1.000);
                transition-timing-function: cubic-bezier(0.860, 0.000, 0.070, 1.000);
            }

            #cssmenu > ul > li.active > a:before {
                background: #ad2129;
            }

    #cssmenu > ul > li.has-sub:hover > a::after {
        border-color: #000;
    }

    #cssmenu ul ul {
        position: absolute;
        top: 29px;
        left: -9999px;
        opacity: 0;
        margin-left: 0;
        transition: opacity 0.2s ease-out;
    }

    #cssmenu li:hover > ul {
        left: auto;
        opacity: 1;
    }

    #cssmenu.align-right li:hover > ul {
        right: 0;
    }

    #cssmenu ul ul ul {
        margin-left: 100%;
        top: 0;
    }

    #cssmenu.align-right ul ul ul {
        margin-left: 0;
        margin-right: 100%;
    }


    #cssmenu ul ul li a {
        font-family: 'Montserrat', sans-serif;
        font-size: 12px;
        text-transform: uppercase;
        text-align: left;
        padding: 12px 10px 12px;
        display: block;
        min-width: 280px;
        width: auto;
        background: #c81724;
        text-decoration: none;
        color: #fff;
        border-top: 1px solid rgba(0,0,0,0.1);
    }

        #cssmenu ul ul li:hover > a, #cssmenu ul ul li a:hover {
            background: #a0121d;
            color: #ffffff;
            border-top: 1px solid rgba(0,0,0,0.2);
        }

    #cssmenu ul ul ul li a {
        background: #fff;
        color: #333;
        border-bottom: 1px solid rgba(0,0,0,0.1);
    }

        #cssmenu ul ul ul li:hover > a, #cssmenu ul ul ul li a:hover {
            background: #111;
            color: #fff;
        }

    #cssmenu ul ul li.has-sub:hover > a::after {
        border-color: #ffffff;
    }

@media only screen and (min-width: 1280px) and (max-width: 1480px) {
    #cssmenu > ul > li > a {
        font-size: 15px;
        line-height: 15px;
    }
}

@media only screen and (min-width: 960px) and (max-width: 1279px) {
    #cssmenu > ul > li > a {
        font-size: 12px;
        line-height: 12px;
    }
}

@media all and (max-width: 959px) {
    #cssmenu {
        width: 100%;
        margin-top: 0;
    }

        #cssmenu ul {
            width: 100%;
            display: none;
            float: none !important;
            margin: 0 0 15px;
            text-align: left;
        }

            #cssmenu ul li, #cssmenu ul ul li, #cssmenu ul li:hover > ul > li {
                width: 100%;
                height: auto;
            }

        #cssmenu > ul > li > a {
            border: none;
            border-bottom: 1px solid rgba(255,255,255,0.2);
        }

        #cssmenu > ul > li:last-child > a {
            border-bottom: none;
        }

        #cssmenu ul li a,
        #cssmenu ul li a.boxed,
        #cssmenu ul ul li a {
            display: block;
            width: 100%;
            padding: 13px 10px 12px;
            font-size: 14px;
            background: none;
        }

        #cssmenu > ul > li:hover > a, #cssmenu > ul > li.active > a {
            background: rgba(255,255,255,0.03);
        }

        #cssmenu > ul > li {
            float: none;
            display: block;
        }

        #cssmenu ul ul {
            opacity: 1;
        }

            #cssmenu ul ul li a {
                padding: 13px 10px 13px 10px;
                font-size: 14px;
                color: #555;
                background: #fff;
                border: none;
                border-bottom: 1px dashed rgba(0,0,0,0.2);
                margin-bottom: 0;
                border-radius: 0;
                -moz-border-radius: 0;
                -webkit-border-radius: 0;
            }

            #cssmenu ul ul li:last-child a {
                border-bottom: 1px solid rgba(255,255,255,0.2);
            }

            #cssmenu ul ul li:hover > a, #cssmenu ul ul li a:hover {
                color: #111;
                background: #f4f4f4;
                border-top: none;
            }

            #cssmenu ul ul ul li a {
                padding-left: 40px;
            }

            #cssmenu ul ul, #cssmenu ul ul ul {
                position: relative;
                top: 0;
                left: 0;
                right: auto;
                width: 100%;
                margin: 0;
            }

                #cssmenu ul ul ul li a {
                    background: #fff;
                    color: #333;
                }

                    #cssmenu ul ul ul li:hover > a, #cssmenu ul ul ul li a:hover {
                        background: #ddd;
                        color: #222;
                    }

                #cssmenu > ul > li.has-sub > a::after, #cssmenu ul ul li.has-sub > a::after {
                    display: none;
                }

    #menu-line {
        display: none;
    }

    #cssmenu #menu-button {
        border-top: 1px solid var(--colWhite);
        display: block;
        padding: 15px 0 15px 25px;
        color: #fff;
        cursor: pointer;
        font-family: 'Montserrat', sans-serif;
        font-size: 1.2em;
        font-weight: 700;
        text-transform: uppercase;
        box-sizing: border-box;
    }

        #cssmenu #menu-button::after {
            content: '';
            position: absolute;
            top: 17px;
            left: 0;
            display: block;
            width: 15px;
            height: 2px;
            background: var(--colWhite);
            transition: all 0.2s ease-out;
        }

        #cssmenu #menu-button::before {
            content: '';
            position: absolute;
            top: 22px;
            left: 0;
            display: block;
            width: 15px;
            height: 3px;
            border-top: 2px solid var(--colWhite);
            border-bottom: 2px solid var(--colWhite);
            transition: all 0.2s ease-out;
        }

        #cssmenu #menu-button.menu-opened::after {
            top: 22px;
            right: 0;
            background: var(--colWhite);
            transform: rotate(225deg);
        }

        #cssmenu #menu-button.menu-opened::before {
            top: 22px;
            transform: rotate(-225deg);
            display: block;
            width: 15px;
            height: 2px;
            background: var(--colWhite);
            border: none;
        }

    #cssmenu .submenu-button {
        position: absolute;
        z-index: 10;
        right: 0;
        top: 0;
        display: block;
        border-left: 1px solid rgba(255,255,255, 0.25);
        height: 41px;
        width: 40px;
        cursor: pointer;
    }

        #cssmenu .submenu-button::after {
            content: '';
            position: absolute;
            top: 15px;
            left: 20px;
            display: block;
            width: 1px;
            height: 11px;
            background: #fff;
            z-index: 99;
        }

        #cssmenu .submenu-button::before {
            content: '';
            position: absolute;
            left: 15px;
            top: 20px;
            display: block;
            width: 11px;
            height: 1px;
            background: #fff;
            z-index: 99;
        }

    #cssmenu li.active .submenu-button {
        border-left: 1px solid rgba(255,255,255, 0.25);
    }

    #cssmenu li.active li .submenu-button {
        border-left: 1px solid rgba(255,255,255, 0.25);
    }

    #cssmenu li.active .submenu-button::after {
        background: #fff;
    }

    #cssmenu li.active .submenu-button::before {
        background: #fff;
    }

    #cssmenu .submenu-button.submenu-opened:before, #cssmenu li.active li .submenu-button:before {
        background: #fff;
    }

    #cssmenu .submenu-button.submenu-opened:after, #cssmenu li.active li .submenu-button:after {
        background: none;
    }
    #cssmenu:after, #cssmenu > ul:after {
        display: none;
    }
}

/* All Mobile Sizes  */
@media only screen and (max-width: 767px) {
    #cssmenu {
        margin-top: 0;
    }

        #cssmenu #menu-button {
            font-size: 14px;
        }

            #cssmenu #menu-button::after {
                top: 16px;
            }

            #cssmenu #menu-button::before {
                height: 2px;
                top: 20px;
            }

            #cssmenu #menu-button.menu-opened::after, #cssmenu #menu-button.menu-opened::before {
                top: 20px;
            }
}
html {
    opacity: 1;
}